## com.lowagie.toolbox.plugins
Class HtmlBookmarks

    java.lang.Object
      com.lowagie.toolbox.AbstractTool
          com.lowagie.toolbox.plugins.HtmlBookmarks

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class HtmlBookmarks

extends AbstractTool

Allows you to generate an index file in HTML containing Bookmarks to an existing PDF file.

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary

Fields inherited from class com.lowagie.toolbox.AbstractTool
`arguments, internalFrame, MENU_EXECUTE, MENU_EXECUTE_PRINT, MENU_EXECUTE_PRINT_SILENT, MENU_EXECUTE_SHOW, menuoptions, versionsarray`

Constructor Summary
`HtmlBookmarks()` Constructs an HtmlBookmarks object.

Method Summary
`private static void` `addBookmark(java.lang.String pdf, Section section, java.util.HashMap<java.lang.String,java.lang.Object> bookmark)` Recursive method to write Bookmark titles to the System.out.
`private static Section` `createBookmark(java.lang.String pdf, Section section, java.util.HashMap<java.lang.String,java.lang.Object> bookmark)` Adds a line with the title and an anchor.
`protected void` `createFrame()` Creates the internal frame.
`void` `execute()` Executes the tool (in most cases this generates a PDF file).
`protected java.io.File` `getDestPathPDF()` Gets the PDF file that should be generated (or null if the output isn't a PDF file).
`static void` `main(java.lang.String[] args)` Allows you to generate an index file in HTML containing Bookmarks to an existing PDF file.
`void` `valueHasChanged(AbstractArgument arg)` Indicates that the value of an argument has changed.

Methods inherited from class com.lowagie.toolbox.AbstractTool
`actionPerformed, addVersion, getArguments, getInternalFrame, getMenubar, getUsage, getValue, setArguments, setInternalFrame, setMainArguments, setMenubar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlBookmarks

    public HtmlBookmarks()

  Constructs an HtmlBookmarks object.

Method Detail

### createFrame

    protected void createFrame()

  Description copied from class: `AbstractTool`
  Creates the internal frame.

  Specified by:
    `createFrame` in class `AbstractTool`
  See Also:
    `AbstractTool.createFrame()`

### execute

    public void execute()

  Description copied from class: `AbstractTool`
  Executes the tool (in most cases this generates a PDF file).

  Specified by:
    `execute` in class `AbstractTool`
  See Also:
    `AbstractTool.execute()`

### addBookmark

    private static void addBookmark(java.lang.String pdf,
                                    Section section,
                                    java.util.HashMap<java.lang.String,java.lang.Object> bookmark)

  Recursive method to write Bookmark titles to the System.out.

  Parameters:
    `pdf` - the path to the PDF file
    `section` - the section to which the bookmarks should be added
    `bookmark` - a HashMap containing a Bookmark (and possible kids)

### createBookmark

    private static Section createBookmark(java.lang.String pdf,
                                          Section section,
                                          java.util.HashMap<java.lang.String,java.lang.Object> bookmark)

  Adds a line with the title and an anchor.

  Parameters:
    `pdf` - the link to the PDF file
    `section` - the section that gets the line
    `bookmark` - the bookmark that has the data for the line
  Returns:
    a subsection of section

### valueHasChanged

    public void valueHasChanged(AbstractArgument arg)

  Description copied from class: `AbstractTool`
  Indicates that the value of an argument has changed.

  Specified by:
    `valueHasChanged` in class `AbstractTool`
  Parameters:
    `arg` - StringArgument
  See Also:
    `AbstractTool.valueHasChanged(com.lowagie.toolbox.arguments.AbstractArgument)`

### main

    public static void main(java.lang.String[] args)

  Allows you to generate an index file in HTML containing Bookmarks to an existing PDF file.

  Parameters:
    `args` - String[]

### getDestPathPDF

    protected java.io.File getDestPathPDF()
                                   throws java.lang.InstantiationException

  Description copied from class: `AbstractTool`
  Gets the PDF file that should be generated (or null if the output isn't a PDF file).

  Specified by:
    `getDestPathPDF` in class `AbstractTool`
  Returns:
    File
  Throws:
    `java.lang.InstantiationException`
  See Also:
    `AbstractTool.getDestPathPDF()`

Hosted by Hostbasket